<?php
/**
 *
 * @category        modules
 * @package         minihero
 * @author          Ruud Eisinga / Dev4me
 * @link			https://www.dev4me.com/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.6 and higher
 * @version         0.3
 * @lastmodified    26 june 2017
 *
 */

// Must include code to stop this file being access directly
if(defined('WB_PATH') == false) { die("Cannot access this file directly"); }

function _db_add_field($field, $table, $desc) {
	global $database;
	$table = TABLE_PREFIX.$table;
	$query = $database->query("DESCRIBE $table '$field'");
	if(!$query || $query->numRows() == 0) { // add field
		$query = $database->query("ALTER TABLE $table ADD $field $desc");
	}
}
_db_add_field("`parallax`", "mod_minihero", "INT NOT NULL default '1' AFTER `height`");
_db_add_field("`anititle`", "mod_minihero", "VARCHAR(32) NOT NULL default ''");
_db_add_field("`anitext1`", "mod_minihero", "VARCHAR(32) NOT NULL default ''");
_db_add_field("`anitext2`", "mod_minihero", "VARCHAR(32) NOT NULL default ''");
_db_add_field("`delayt`",  	"mod_minihero", "VARCHAR(3) NOT NULL default ''");
_db_add_field("`delay1`",  	"mod_minihero", "VARCHAR(3) NOT NULL default ''");
_db_add_field("`delay2`",  	"mod_minihero", "VARCHAR(3) NOT NULL default ''");
_db_add_field("`durationt`","mod_minihero", "VARCHAR(3) NOT NULL default ''");
_db_add_field("`duration1`","mod_minihero", "VARCHAR(3) NOT NULL default ''");
_db_add_field("`duration2`","mod_minihero", "VARCHAR(3) NOT NULL default ''");


